program VRDemo;

uses
  UDirectXAppUtil in 'UDirectXAppUtil.pas',
  UBasicVR in 'UBasicVR.pas',
  UCommon in 'UCommon.pas',
  UDemoUsingBasicVR in 'UDemoUsingBasicVR.pas',
  UDemoZoom in 'UDemoZoom.pas',
  UDemoMonoscopic in 'UDemoMonoscopic.pas',
  UDemoLayers in 'UDemoLayers.pas',
  UDemoCockpitMonoExterior in 'UDemoCockpitMonoExterior.pas',
  UCameraCone in 'UCameraCone.pas',
  UDemoMotionInLookDirection in 'UDemoMotionInLookDirection.pas',
  UControlMethods in 'UControlMethods.pas',
  UDemoTapDetection in 'UDemoTapDetection.pas',
  UDemoJumpFromAccelerometers in 'UDemoJumpFromAccelerometers.pas',
  UDemoMSAA in 'UDemoMSAA.pas',
  UDemoAdjustIPD in 'UDemoAdjustIPD.pas',
  UDemoRecenterPose in 'UDemoRecenterPose.pas',
  UDemoDebugHUD in 'UDemoDebugHUD.pas',
  UDemoPerformanceHUD in 'UDemoPerformanceHUD.pas',
  UMathHelper in 'UMathHelper.pas';

{$R *.res}

var
  selectedIndex: Integer;
begin
  selectedIndex := ShowChooseDialog([
    'Using BasicVR',
    'Zoom',
    'Monoscopic',
    'Layers',
    'Cockpit Mono Exterior',
    'Motion In Look Direction',
    'Tap Detection',
    'Jump From Accelerometers',
    'MSAA',
    'Adjust IPD',
    'Recenter Pose',
    'Debug HUD',
    'Performance HUD'
  ]);

  case selectedIndex of
    0: UDemoUsingBasicVR.Main;
    1: UDemoZoom.Main;
    2: UDemoMonoscopic.Main;
    3: UDemoLayers.Main;
    4: UDemoCockpitMonoExterior.Main;
    5: UDemoMotionInLookDirection.Main;
    6: UDemoTapDetection.Main;
    7: UDemoJumpFromAccelerometers.Main;
    8: UDemoMSAA.Main;
    9: UDemoAdjustIPD.Main;
    10: UDemoRecenterPose.Main;
    11: UDemoDebugHUD.Main;
    12: UDemoPerformanceHUD.Main;
  end;
end.
